Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## example
Class GraphModelExample

    java.lang.Object
      |
      +--example.GraphModelExample

public class GraphModelExample
extends java.lang.Object

Constructor Summary
`GraphModelExample()`

Method Summary
`(package private) static void` | `getPathway(edu.hust.go.model.GoGraphModel graphModel, edu.hust.go.term.GO_term term)`
`(package private) static void` | `getPathway(edu.hust.go.model.GoGraphModel graphModel, edu.hust.go.term.GO_term term1, edu.hust.go.term.GO_term term2)`
`(package private) static void` | `getSimilarity(edu.hust.go.model.GoGraphModel graphModel, edu.hust.go.term.GO_term term1, edu.hust.go.term.GO_term term2, byte methodType)`
`static void` | `main(java.lang.String[] args)`
`(package private) static void` | `printUsage()`
`(package private) static edu.hust.go.term.GO_term` | `transForm(java.lang.String rawId, java.util.HashMap goMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphModelExample

    public GraphModelExample()

Method Detail

### main

    public static void main(java.lang.String[] args)

### getPathway

    static void getPathway(edu.hust.go.model.GoGraphModel graphModel,
                           edu.hust.go.term.GO_term term)

### getPathway

    static void getPathway(edu.hust.go.model.GoGraphModel graphModel,
                           edu.hust.go.term.GO_term term1,
                           edu.hust.go.term.GO_term term2)

### getSimilarity

    static void getSimilarity(edu.hust.go.model.GoGraphModel graphModel,
                              edu.hust.go.term.GO_term term1,
                              edu.hust.go.term.GO_term term2,
                              byte methodType)

### printUsage

    static void printUsage()

### transForm

    static edu.hust.go.term.GO_term transForm(java.lang.String rawId,
                                              java.util.HashMap goMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD